pro 类继承的问题!!! 类继承太麻烦了吧

作者:zhc1208420887 304 浏览 1 评论 发布时间:2019-12-24 11:17:30

设置list_editable 双击会报错 自定义按钮queryset 获取不到 !

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/wsgiref/handlers.py", line 137, in run
    self.result = application(self.environ, self.start_response)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/contrib/staticfiles/handlers.py", line 65, in __call__
    return self.application(environ, start_response)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/wsgi.py", line 141, in __call__
    response = self.get_response(request)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/base.py", line 75, in get_response
    response = self._middleware_chain(request)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 36, in inner
    response = response_for_exception(request, exc)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 90, in response_for_exception
    response = handle_uncaught_exception(request, get_resolver(get_urlconf()), sys.exc_info())
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 125, in handle_uncaught_exception
    return debug.technical_500_response(request, *exc_info)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 94, in technical_500_response
    html = reporter.get_traceback_html()
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 333, in get_traceback_html
    c = Context(self.get_traceback_data(), use_l10n=False)
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 264, in get_traceback_data
    frames = self.get_traceback_frames()
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 422, in get_traceback_frames
    filename, lineno, 7, loader, module_name,
  File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 383, in _get_lines_from_file
    context_line = source[lineno]
IndexError: list index out of range

还有ui 搜索和过滤好的的条件 编辑一下数据处理就会清空了

Loading...
评论列表 1条评论
社区小助手
2020-05-04 18:14:50

反馈问题的 时候 说下各依赖包和Python的版本,以及相关代码,而不是一直抱怨。